Skip to main content

Get Mc

GET 

/v1/armada/machine_class/:mc_id

Get a machine class

Request

Path Parameters

    mc_id uuidrequired

    The machine class ID

Responses

Successful Response

Schema

    datacenter_provider

    object

    required

    name Name (string)required

    Possible values: non-empty and <= 64 characters

    Name of the provider of this sort. Could be things like Amazon, AWS EC2, Internap.

    datacenter_provider_id uuidrequired
    name Name (string)required

    Possible values: non-empty and <= 64 characters

    The name of the machine class used by the provider

    type Type (string)required

    Possible values: non-empty and <= 64 characters

    The type of machine class used by the provider. General Purpose, CPU Optimized, etc.

    labels string[]

    Possible values: non-empty and <= 64 characters

    Labels that can be applied to the machine class for organizational purposes

    monthly_price Monthly Price (number)

    The monthly price of this machine class

    hourly_price Hourly Price (number)

    The hourly price of this machine class

    cpu_count Cpu Count (integer)

    The number of CPUs

    cpu_info Cpu Info (string)

    Possible values: non-empty

    A description of the CPU including type, family, model, and stepping

    cpu_type Cpu Type (string)

    Possible values: non-empty and <= 64 characters

    The short description of the CPU type. e.g. Intel Xeon E5-2673 v4 @ 2.30GHz

    cpu_sockets Cpu Sockets (integer)

    The number of populated CPU sockets

    cpu_cores Cpu Cores (integer)

    The number of CPU cores

    cpu_threads Cpu Threads (integer)

    The number of CPU threads. Will be more than cores if hyperthreading is enabled.

    memory_size_gigabytes Memory Size Gigabytes (integer)

    The amount of memory in gigabytes

    memory_type Memory Type (string)

    Possible values: non-empty and <= 32 characters

    The type of memory. e.g. DDR4

    memory_speed_rating Memory Speed Rating (integer)

    The speed rating of the memory in MHz

    memory_timings Memory Timings (string)

    Possible values: non-empty and <= 32 characters

    The memory timings. e.g. 15-15-15-36

    disk_type Disk Type (string)

    Possible values: non-empty and <= 64 characters

    The type of disk. e.g. SSD

    disk_size_gigabytes Disk Size Gigabytes (integer)

    The size of the disk in gigabytes

    disk_sequential_read Disk Sequential Read (string)

    Possible values: non-empty and <= 64 characters

    The sequential read speed of the disk

    disk_sequential_write Disk Sequential Write (string)

    Possible values: non-empty and <= 64 characters

    The sequential write speed of the disk

    disk_random_read Disk Random Read (string)

    Possible values: non-empty and <= 64 characters

    The random read speed of the disk

    disk_random_write Disk Random Write (string)

    Possible values: non-empty and <= 64 characters

    The random write speed of the disk

    disk_iops Disk Iops (integer)

    The number of IOPS the disk can handle

    disk_latency_ms Disk Latency Ms (integer)

    The latency of the disk in milliseconds

    network_gbps Network Gbps (integer)

    The network speed in gigabits per second

    gpu_type Gpu Type (string)

    Possible values: non-empty and <= 64 characters

    The type of GPU. e.g. NVIDIA Tesla V100

    gpu_count Gpu Count (integer)

    The number of GPUs

    gpu_memory_gigabytes Gpu Memory Gigabytes (integer)

    The amount of GPU memory in gigabytes. Should be the lowest available memory if there are multiple GPUs.

    machine_class_id uuidrequired
Loading...